Permalink
Browse files

Bump version to 2.0.0..

* Introduce Pwdcalc::FormBuilder
* Remove custom input for SimpleForm and Formtastic:
  Follow instructions on https://github.com/plataformatec/simple_form/wiki/Adding-custom-input-components
  and use the Pwdcalc Form Helpers if you want to use this gem with
  non-standard Rails FormBuilder(s). See Pwdcalc::FormBuilder for more
  info.
  • Loading branch information...
trimentor committed Dec 31, 2015
1 parent b91866f commit 905e3812917227928af0f02632d01dfa00ebd71d
Showing with 12 additions and 11 deletions.
  1. +1 −1 lib/pwdcalc/version.rb
  2. +11 −10 pwdcalc.gemspec
View
@@ -1,6 +1,6 @@
module Pwdcalc
module Version
- MAJOR = "1"
+ MAJOR = "2"
MINOR = "0"
PATCH = "0"
BUILD = nil
View
@@ -2,16 +2,16 @@
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
-# stub: pwdcalc 1.0.0 ruby lib
+# stub: pwdcalc 2.0.0 ruby lib
Gem::Specification.new do |s|
s.name = "pwdcalc"
- s.version = "1.0.0"
+ s.version = "2.0.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.require_paths = ["lib"]
s.authors = ["Kjel Delaey"]
- s.date = "2015-12-29"
+ s.date = "2015-12-31"
s.description = "Take no risk and help your users to choose good passwords!"
s.email = "kjel_delaey@hotmail.com"
s.extra_rdoc_files = [
@@ -30,10 +30,9 @@ Gem::Specification.new do |s|
"lib/generators/pwdcalc/install/install_generator.rb",
"lib/generators/pwdcalc/install/templates/pwdcalc.en.yml",
"lib/pwdcalc.rb",
- "lib/pwdcalc/formtastic.rb",
+ "lib/pwdcalc/form_builder.rb",
+ "lib/pwdcalc/helpers/form_helper.rb",
"lib/pwdcalc/helpers/hints.rb",
- "lib/pwdcalc/password_strength.rb",
- "lib/pwdcalc/simple_form.rb",
"lib/pwdcalc/version.rb",
"pwdcalc.gemspec",
"spec/.gitignore",
@@ -60,6 +59,7 @@ Gem::Specification.new do |s|
"spec/dummy/config/initializers/session_store.rb",
"spec/dummy/config/initializers/wrap_parameters.rb",
"spec/dummy/config/locales/en.yml",
+ "spec/dummy/config/locales/pwdcalc.en.yml",
"spec/dummy/config/routes.rb",
"spec/dummy/lib/assets/.gitkeep",
"spec/dummy/log/.gitkeep",
@@ -69,7 +69,8 @@ Gem::Specification.new do |s|
"spec/dummy/public/favicon.ico",
"spec/dummy/script/rails",
"spec/generators/pwdcalc/install/install_generator_spec.rb",
- "spec/helpers/hints_spec.rb",
+ "spec/lib/pwdcalc/helpers/form_helper_spec.rb",
+ "spec/lib/pwdcalc/helpers/hints_spec.rb",
"spec/spec_helper.rb"
]
s.homepage = "https://github.com/trimentor/pwdcalc"
@@ -82,20 +83,20 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<jeweler>, [">= 0"])
s.add_development_dependency(%q<rails>, [">= 3.1.0"])
- s.add_development_dependency(%q<rspec-rails>, [">= 2.7.0"])
+ s.add_development_dependency(%q<rspec-rails>, ["~> 2.99.0"])
s.add_development_dependency(%q<generator_spec>, [">= 0"])
s.add_development_dependency(%q<sqlite3>, [">= 0"])
else
s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<rails>, [">= 3.1.0"])
- s.add_dependency(%q<rspec-rails>, [">= 2.7.0"])
+ s.add_dependency(%q<rspec-rails>, ["~> 2.99.0"])
s.add_dependency(%q<generator_spec>, [">= 0"])
s.add_dependency(%q<sqlite3>, [">= 0"])
end
else
s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<rails>, [">= 3.1.0"])
- s.add_dependency(%q<rspec-rails>, [">= 2.7.0"])
+ s.add_dependency(%q<rspec-rails>, ["~> 2.99.0"])
s.add_dependency(%q<generator_spec>, [">= 0"])
s.add_dependency(%q<sqlite3>, [">= 0"])
end

0 comments on commit 905e381

Please sign in to comment.